<?php
/*  Copyright 2014  Baptiste Placé

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

class NameDay {

    protected $langs = array(
        "fr", "en", "es", "pt", "it", "de", "pt-BR"
    );

    public function today($lang='fr', $month=null, $day=null) {
        if(!in_array($lang, $this->langs)) {
            $lang = "fr"; // Default FR
        }

        if('fr' === $lang) {
            return $this->todayFr($month, $day);
        } else if ('en' === $lang) {
            return $this->todayEn($month, $day);
        } else if ('es' === $lang) {
            return $this->todayEs($month, $day);
        } else if ('pt' === $lang) {
            return $this->todayPt($month, $day);
        } else if ('it' === $lang) {
            return $this->todayIt($month, $day);
        } else if ('de' === $lang) {
            return $this->todayDe($month, $day);
        } else if ('pt-BR' === $lang) {
            return $this->todayPt($month, $day);
        }

    }

    public function todayFr($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Jour de l'an";
        $fetes[1][2] = "Basile";
        $fetes[1][3] = "Geneviève";
        $fetes[1][4] = "Odilon";
        $fetes[1][5] = "Edouard";
        $fetes[1][6] = "Mélaine";
        $fetes[1][7] = "Raymond";
        $fetes[1][8] = "Lucien";
        $fetes[1][9] = "Alix";
        $fetes[1][10] = "Guillaume";
        $fetes[1][11] = "Pauline";
        $fetes[1][12] = "Tatiana";
        $fetes[1][13] = "Yvette";
        $fetes[1][14] = "Nina";
        $fetes[1][15] = "Rémi";
        $fetes[1][16] = "Marcel";
        $fetes[1][17] = "Roseline";
        $fetes[1][18] = "Prisca";
        $fetes[1][19] = "Marius";
        $fetes[1][20] = "Sébastien";
        $fetes[1][21] = "Agnès";
        $fetes[1][22] = "Vincent";
        $fetes[1][23] = "Banard";
        $fetes[1][24] = "François de Sales";
        $fetes[1][25] = "Conversion de Paul";
        $fetes[1][26] = "Paule";
        $fetes[1][27] = "Angèle";
        $fetes[1][28] = "Thomas d'Aquin";
        $fetes[1][29] = "Gildas";
        $fetes[1][30] = "Martine";
        $fetes[1][31] = "Marcelle";
        $fetes[2][1] = "Ella";
        $fetes[2][2] = "Présentation";
        $fetes[2][3] = "Blaise";
        $fetes[2][4] = "Véronique";
        $fetes[2][5] = "Agathe";
        $fetes[2][6] = "Gaston";
        $fetes[2][7] = "Eugènie";
        $fetes[2][8] = "Jacqueline";
        $fetes[2][9] = "Apolline";
        $fetes[2][10] = "Arnaud";
        $fetes[2][11] = "Notre Dame de Lourdes";
        $fetes[2][12] = "Félix";
        $fetes[2][13] = "Béatrice";
        $fetes[2][14] = "Valentin";
        $fetes[2][15] = "Claude";
        $fetes[2][16] = "Julienne";
        $fetes[2][17] = "Alexis";
        $fetes[2][18] = "Bernadette";
        $fetes[2][19] = "Gabin";
        $fetes[2][20] = "Aimée";
        $fetes[2][21] = "Damien";
        $fetes[2][22] = "Isabelle";
        $fetes[2][23] = "Lazare";
        $fetes[2][24] = "Modeste";
        $fetes[2][25] = "Roméo";
        $fetes[2][26] = "Nestor";
        $fetes[2][27] = "Honorine";
        $fetes[2][28] = "Romain";
        $fetes[2][29] = "Auguste";
        $fetes[3][1] = "Aubin";
        $fetes[3][2] = "Charles le Bon";
        $fetes[3][3] = "Guénolé";
        $fetes[3][4] = "Casimir";
        $fetes[3][5] = "Olive";
        $fetes[3][6] = "Colette";
        $fetes[3][7] = "Félicité";
        $fetes[3][8] = "Jean de Dieu";
        $fetes[3][9] = "Françoise";
        $fetes[3][10] = "Vivien";
        $fetes[3][11] = "Rosine";
        $fetes[3][12] = "Justine";
        $fetes[3][13] = "Rodrigue";
        $fetes[3][14] = "Mathilde";
        $fetes[3][15] = "Louise";
        $fetes[3][16] = "Bénédicte";
        $fetes[3][17] = "Patrice";
        $fetes[3][18] = "Cyrille";
        $fetes[3][19] = "Joseph";
        $fetes[3][20] = "Printemps";
        $fetes[3][21] = "Clémence";
        $fetes[3][22] = "Léa";
        $fetes[3][23] = "Victorien";
        $fetes[3][24] = "Catherine";
        $fetes[3][25] = "Annonciation";
        $fetes[3][26] = "Larissa";
        $fetes[3][27] = "Habib";
        $fetes[3][28] = "Gontran";
        $fetes[3][29] = "Gwladys";
        $fetes[3][30] = "Amédée";
        $fetes[3][31] = "Benjamin";
        $fetes[4][1] = "Hugues";
        $fetes[4][2] = "Sandrine";
        $fetes[4][3] = "Richard";
        $fetes[4][4] = "Isidore";
        $fetes[4][5] = "Irène";
        $fetes[4][6] = "Marcellin";
        $fetes[4][7] = "Jean-Baptiste de la Salle";
        $fetes[4][8] = "Julie";
        $fetes[4][9] = "Gautier";
        $fetes[4][10] = "Fulbert";
        $fetes[4][11] = "Stanislas";
        $fetes[4][12] = "Jules";
        $fetes[4][13] = "Ida";
        $fetes[4][14] = "Maxime";
        $fetes[4][15] = "Paterne";
        $fetes[4][16] = "Benoît-Joseph";
        $fetes[4][17] = "Anicet";
        $fetes[4][18] = "Parfait";
        $fetes[4][19] = "Emma";
        $fetes[4][20] = "Odette";
        $fetes[4][21] = "Anselme";
        $fetes[4][22] = "Alexandre";
        $fetes[4][23] = "Georges";
        $fetes[4][24] = "Fidèle";
        $fetes[4][25] = "Marc";
        $fetes[4][26] = "Alida";
        $fetes[4][27] = "Zita";
        $fetes[4][28] = "Valérie";
        $fetes[4][29] = "Catherine de Sienne";
        $fetes[4][30] = "Robert";
        $fetes[5][1] = "Fête du travail";
        $fetes[5][2] = "Boris";
        $fetes[5][3] = "Philippe - Jacques";
        $fetes[5][4] = "Sylvain";
        $fetes[5][5] = "Judith";
        $fetes[5][6] = "Prudence";
        $fetes[5][7] = "Gisèle";
        $fetes[5][8] = "Armistice 1945";
        $fetes[5][9] = "Pacôme";
        $fetes[5][10] = "Solange";
        $fetes[5][11] = "Estelle";
        $fetes[5][12] = "Achille";
        $fetes[5][13] = "Rolande";
        $fetes[5][14] = "Matthias";
        $fetes[5][15] = "Denise";
        $fetes[5][16] = "Honoré";
        $fetes[5][17] = "Pascal";
        $fetes[5][18] = "Eric";
        $fetes[5][19] = "Yves";
        $fetes[5][20] = "Bernardin";
        $fetes[5][21] = "Constantin";
        $fetes[5][22] = "Emile";
        $fetes[5][23] = "Didier";
        $fetes[5][24] = "Donatien";
        $fetes[5][25] = "Sophie";
        $fetes[5][26] = "Bérenger";
        $fetes[5][27] = "Augustin";
        $fetes[5][28] = "Germain";
        $fetes[5][29] = "Aymar";
        $fetes[5][30] = "Ferdinand";
        $fetes[5][31] = "Visitation de la Sainte Vierge";
        $fetes[6][1] = "Justin";
        $fetes[6][2] = "Blandine";
        $fetes[6][3] = "Kévin";
        $fetes[6][4] = "Clotilde";
        $fetes[6][5] = "Igor";
        $fetes[6][6] = "Norbert";
        $fetes[6][7] = "Gilbert";
        $fetes[6][8] = "Médard";
        $fetes[6][9] = "Diane";
        $fetes[6][10] = "Landry";
        $fetes[6][11] = "Barnabé";
        $fetes[6][12] = "Guy";
        $fetes[6][13] = "Antoine de Padoue";
        $fetes[6][14] = "Elisée";
        $fetes[6][15] = "Germaine";
        $fetes[6][16] = "Jean François Régis";
        $fetes[6][17] = "Hervé";
        $fetes[6][18] = "Léonce";
        $fetes[6][19] = "Romuald";
        $fetes[6][20] = "Silvère";
        $fetes[6][21] = "Eté";
        $fetes[6][22] = "Alban";
        $fetes[6][23] = "Audrey";
        $fetes[6][24] = "Jean-Baptiste";
        $fetes[6][25] = "Prosper";
        $fetes[6][26] = "Anthelme";
        $fetes[6][27] = "Fernand";
        $fetes[6][28] = "Irénée";
        $fetes[6][29] = "Pierre - Paul";
        $fetes[6][30] = "Martial";
        $fetes[7][1] = "Thierry";
        $fetes[7][2] = "Martinien";
        $fetes[7][3] = "Thomas";
        $fetes[7][4] = "Florent";
        $fetes[7][5] = "Antoine";
        $fetes[7][6] = "Mariette";
        $fetes[7][7] = "Raoul";
        $fetes[7][8] = "Thibault";
        $fetes[7][9] = "Amandine";
        $fetes[7][10] = "Ulrich";
        $fetes[7][11] = "Benoît";
        $fetes[7][12] = "Olivier";
        $fetes[7][13] = "Henri et Joël";
        $fetes[7][14] = "Fête Nationale";
        $fetes[7][15] = "Donald";
        $fetes[7][16] = "Nte Dame Mt Carmel";
        $fetes[7][17] = "Charlotte";
        $fetes[7][18] = "Frédéric";
        $fetes[7][19] = "Arsène";
        $fetes[7][20] = "Marina";
        $fetes[7][21] = "Victor";
        $fetes[7][22] = "Marie Madeleine";
        $fetes[7][23] = "Brigitte";
        $fetes[7][24] = "Christine";
        $fetes[7][25] = "Jacques";
        $fetes[7][26] = "Anne et Joachin";
        $fetes[7][27] = "Nathalie";
        $fetes[7][28] = "Samson";
        $fetes[7][29] = "Marthe";
        $fetes[7][30] = "Juliette";
        $fetes[7][31] = "Ignace de Loyola";
        $fetes[8][1] = "Alphonse";
        $fetes[8][2] = "Julien Eymard";
        $fetes[8][3] = "Lydie";
        $fetes[8][4] = "Jean-Marie Vianney";
        $fetes[8][5] = "Abel";
        $fetes[8][6] = "Transfiguration";
        $fetes[8][7] = "Gaétan";
        $fetes[8][8] = "Dominique";
        $fetes[8][9] = "Amour";
        $fetes[8][10] = "Laurent";
        $fetes[8][11] = "Claire";
        $fetes[8][12] = "Clarisse";
        $fetes[8][13] = "Hippolyte";
        $fetes[8][14] = "Evrard";
        $fetes[8][15] = "Assomption";
        $fetes[8][16] = "Armel";
        $fetes[8][17] = "Hyacinthe";
        $fetes[8][18] = "Hélène";
        $fetes[8][19] = "Jean Eudes";
        $fetes[8][20] = "Bernard";
        $fetes[8][21] = "Christophe";
        $fetes[8][22] = "Fabrice";
        $fetes[8][23] = "Rose de Lima";
        $fetes[8][24] = "Barthélémy";
        $fetes[8][25] = "Louis";
        $fetes[8][26] = "Natacha";
        $fetes[8][27] = "Monique";
        $fetes[8][28] = "Augustin";
        $fetes[8][29] = "Sabine";
        $fetes[8][30] = "Fiacre";
        $fetes[8][31] = "Aristide";
        $fetes[9][1] = "Gilles";
        $fetes[9][2] = "Ingrid";
        $fetes[9][3] = "Grégoire";
        $fetes[9][4] = "Rosalie";
        $fetes[9][5] = "Raïssa";
        $fetes[9][6] = "Bertrand";
        $fetes[9][7] = "Reine";
        $fetes[9][8] = "Nativité";
        $fetes[9][9] = "Alain";
        $fetes[9][10] = "Inès";
        $fetes[9][11] = "Adelphe";
        $fetes[9][12] = "Apollinaire";
        $fetes[9][13] = "Aimé";
        $fetes[9][14] = "Croix Glorieuse";
        $fetes[9][15] = "Roland";
        $fetes[9][16] = "Edith";
        $fetes[9][17] = "Renaud";
        $fetes[9][18] = "Nadège";
        $fetes[9][19] = "Emilie";
        $fetes[9][20] = "Davy";
        $fetes[9][21] = "Matthieu";
        $fetes[9][22] = "Maurice";
        $fetes[9][23] = "Automne";
        $fetes[9][24] = "Thècle";
        $fetes[9][25] = "Hermann";
        $fetes[9][26] = "Côme et Damien";
        $fetes[9][27] = "Vincent de Paul";
        $fetes[9][28] = "Venceslas";
        $fetes[9][29] = "Michel";
        $fetes[9][30] = "Jérôme";
        $fetes[10][1] = "Thérèse de l'Enfant Jésus";
        $fetes[10][2] = "Léger";
        $fetes[10][3] = "Gérard";
        $fetes[10][4] = "François d'Assise";
        $fetes[10][5] = "Fleur";
        $fetes[10][6] = "Bruno";
        $fetes[10][7] = "Serge";
        $fetes[10][8] = "Pélagie";
        $fetes[10][9] = "Denis";
        $fetes[10][10] = "Ghislain";
        $fetes[10][11] = "Firmin";
        $fetes[10][12] = "Wilfried";
        $fetes[10][13] = "Géraud";
        $fetes[10][14] = "Juste";
        $fetes[10][15] = "Thérèse d'Avila";
        $fetes[10][16] = "Edwige";
        $fetes[10][17] = "Baudoin";
        $fetes[10][18] = "Luc";
        $fetes[10][19] = "René";
        $fetes[10][20] = "Adeline";
        $fetes[10][21] = "Céline";
        $fetes[10][22] = "Elodie";
        $fetes[10][23] = "Jean de Capistran";
        $fetes[10][24] = "Florentin";
        $fetes[10][25] = "Crépin";
        $fetes[10][26] = "Dimitri";
        $fetes[10][27] = "Emeline";
        $fetes[10][28] = "Jude";
        $fetes[10][29] = "Narcisse";
        $fetes[10][30] = "Bienvenue";
        $fetes[10][31] = "Quentin";
        $fetes[11][1] = "Toussaint";
        $fetes[11][2] = "Défunts";
        $fetes[11][3] = "Hubert";
        $fetes[11][4] = "Charles";
        $fetes[11][5] = "Sylvie";
        $fetes[11][6] = "Bertille";
        $fetes[11][7] = "Carine";
        $fetes[11][8] = "Geoffroy";
        $fetes[11][9] = "Théodore";
        $fetes[11][10] = "Léon";
        $fetes[11][11] = "Armistice 1918";
        $fetes[11][12] = "Christian";
        $fetes[11][13] = "Brice";
        $fetes[11][14] = "Sidoine";
        $fetes[11][15] = "Albert";
        $fetes[11][16] = "Marguerite";
        $fetes[11][17] = "Elisabeth";
        $fetes[11][18] = "Aude";
        $fetes[11][19] = "Tanguy";
        $fetes[11][20] = "Edmond";
        $fetes[11][21] = "Présence de Marie";
        $fetes[11][22] = "Cécile";
        $fetes[11][23] = "Clément";
        $fetes[11][24] = "Flora";
        $fetes[11][25] = "Catherine";
        $fetes[11][26] = "Delphine";
        $fetes[11][27] = "Sévrin";
        $fetes[11][28] = "Jacques de la Marche";
        $fetes[11][29] = "Saturnin";
        $fetes[11][30] = "André";
        $fetes[12][1] = "Florence";
        $fetes[12][2] = "Viviane";
        $fetes[12][3] = "François Xavier";
        $fetes[12][4] = "Barbara";
        $fetes[12][5] = "Gérald";
        $fetes[12][6] = "Nicolas";
        $fetes[12][7] = "Ambroise";
        $fetes[12][8] = "Immaculée Conception";
        $fetes[12][9] = "Pierre Fourier";
        $fetes[12][10] = "Romaric";
        $fetes[12][11] = "Daniel";
        $fetes[12][12] = "Jeanne-Françoise de Chantal";
        $fetes[12][13] = "Lucie";
        $fetes[12][14] = "Odile";
        $fetes[12][15] = "Ninon";
        $fetes[12][16] = "Alice";
        $fetes[12][17] = "Gaël";
        $fetes[12][18] = "Gatien";
        $fetes[12][19] = "Urbain";
        $fetes[12][20] = "Théophile";
        $fetes[12][21] = "Hiver";
        $fetes[12][22] = "Françoise Xavière";
        $fetes[12][23] = "Armand";
        $fetes[12][24] = "Adèle";
        $fetes[12][25] = "Noël";
        $fetes[12][26] = "Etienne";
        $fetes[12][27] = "Jean";
        $fetes[12][28] = "Innocents";
        $fetes[12][29] = "David";
        $fetes[12][30] = "Roger";
        $fetes[12][31] = "Sylvestre";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }

    public function todayPt($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Clarus";
        $fetes[1][2] = "Argeu";
        $fetes[1][3] = "Antero";
        $fetes[1][4] = "Prisciliano";
        $fetes[1][5] = "Telésforo";
        $fetes[1][6] = "Gaspar";
        $fetes[1][7] = "Raimundo";
        $fetes[1][8] = "Heládio";
        $fetes[1][9] = "Julião";
        $fetes[1][10] = "Gonçalo";
        $fetes[1][11] = "Hortencia";
        $fetes[1][12] = "Modesto";
        $fetes[1][13] = "Leôncio";
        $fetes[1][14] = "Eufrasio";
        $fetes[1][15] = "Isidoro";
        $fetes[1][16] = "Marcelo";
        $fetes[1][17] = "Leonila";
        $fetes[1][18] = "Prisca";
        $fetes[1][19] = "Mário";
        $fetes[1][20] = "Sebastião";
        $fetes[1][21] = "Inês";
        $fetes[1][22] = "Vicente";
        $fetes[1][23] = "Ildefonso";
        $fetes[1][24] = "Feliciano";
        $fetes[1][25] = "Paulo";
        $fetes[1][26] = "Timoteo";
        $fetes[1][27] = "Angela";
        $fetes[1][28] = "Thomaz";
        $fetes[1][29] = "Constâncio";
        $fetes[1][30] = "Jacinta";
        $fetes[1][31] = "João Bosco";
        $fetes[2][1] = "Cecílio";
        $fetes[2][2] = "Cornelio";
        $fetes[2][3] = "Brás";
        $fetes[2][4] = "Gilberto";
        $fetes[2][5] = "Ágata";
        $fetes[2][6] = "Dorothea";
        $fetes[2][7] = "Juliana";
        $fetes[2][8] = "Jeronimo";
        $fetes[2][9] = "Apolônia";
        $fetes[2][10] = "Escolástica";
        $fetes[2][11] = "Desidério";
        $fetes[2][12] = "Eulália";
        $fetes[2][13] = "Maura";
        $fetes[2][14] = "Cirilo";
        $fetes[2][15] = "Jovita";
        $fetes[2][16] = "Elias";
        $fetes[2][17] = "Alexandre";
        $fetes[2][18] = "Júlia";
        $fetes[2][19] = "Gabino";
        $fetes[2][20] = "Eleutério";
        $fetes[2][21] = "Pedro";
        $fetes[2][22] = "Leonor";
        $fetes[2][23] = "Policarpo";
        $fetes[2][24] = "Constância";
        $fetes[2][25] = "Valério";
        $fetes[2][26] = "Nestor";
        $fetes[2][27] = "Leandro";
        $fetes[2][28] = "Macário";
        $fetes[2][29] = "Antonieta";
        $fetes[3][1] = "Albino";
        $fetes[3][2] = "Lúcio";
        $fetes[3][3] = "Emetério";
        $fetes[3][4] = "Cassimiro";
        $fetes[3][5] = "Teófilo";
        $fetes[3][6] = "Olegário";
        $fetes[3][7] = "Perpétua";
        $fetes[3][8] = "Stephen";
        $fetes[3][9] = "Francisca";
        $fetes[3][10] = "Macarius";
        $fetes[3][11] = "Constantino";
        $fetes[3][12] = "Inocêncio";
        $fetes[3][13] = "Rodrigo";
        $fetes[3][14] = "Matilde";
        $fetes[3][15] = "Luiza";
        $fetes[3][16] = "Taciano";
        $fetes[3][17] = "Patrício";
        $fetes[3][18] = "Cristiano";
        $fetes[3][19] = "São José";
        $fetes[3][20] = "Ambrósio";
        $fetes[3][21] = "Lupicínio";
        $fetes[3][22] = "Otaviano";
        $fetes[3][23] = "Fidélis";
        $fetes[3][24] = "Rômulo";
        $fetes[3][25] = "Lúcia";
        $fetes[3][26] = "Ludgero";
        $fetes[3][27] = "Lídia";
        $fetes[3][28] = "Castor";
        $fetes[3][29] = "Eustácio";
        $fetes[3][30] = "João Clímaco";
        $fetes[3][31] = "Benjamin";
        $fetes[4][1] = "Venâncio";
        $fetes[4][2] = "Aphian";
        $fetes[4][3] = "Luiz Scrosoppi";
        $fetes[4][4] = "Benedito";
        $fetes[4][5] = "Emília";
        $fetes[4][6] = "Celestino";
        $fetes[4][7] = "João Batista";
        $fetes[4][8] = "Amâncio";
        $fetes[4][9] = "Maria Cleófas";
        $fetes[4][10] = "Miguel";
        $fetes[4][11] = "Estanislau";
        $fetes[4][12] = "Júlio I";
        $fetes[4][13] = "Martinho I";
        $fetes[4][14] = "Ludivina";
        $fetes[4][15] = "Anastácia";
        $fetes[4][16] = "Bernadete";
        $fetes[4][17] = "Roberto";
        $fetes[4][18] = "Agia";
        $fetes[4][19] = "Expedito";
        $fetes[4][20] = "Agnes";
        $fetes[4][21] = "Anselmo";
        $fetes[4][22] = "Theodoro";
        $fetes[4][23] = "Jorge";
        $fetes[4][24] = "Honório";
        $fetes[4][25] = "Marcos";
        $fetes[4][26] = "Pascásio";
        $fetes[4][27] = "Tertuliano";
        $fetes[4][28] = "Cyrilo";
        $fetes[4][29] = "Antônia";
        $fetes[4][30] = "Sofia";
        $fetes[5][1] = "José";
        $fetes[5][2] = "Atanásio";
        $fetes[5][3] = "Felipe";
        $fetes[5][4] = "Pelágia";
        $fetes[5][5] = "Ângelo";
        $fetes[5][6] = "Lucio";
        $fetes[5][7] = "Flavia";
        $fetes[5][8] = "Vitor";
        $fetes[5][9] = "Carolina";
        $fetes[5][10] = "Antonino";
        $fetes[5][11] = "Iluminatus";
        $fetes[5][12] = "Pancrácio";
        $fetes[5][13] = "Ema";
        $fetes[5][14] = "Mathias";
        $fetes[5][15] = "Cássia";
        $fetes[5][16] = "Nepomuceno";
        $fetes[5][17] = "Basília";
        $fetes[5][18] = "Felix";
        $fetes[5][19] = "Dunstão";
        $fetes[5][20] = "Bernardino";
        $fetes[5][21] = "Serapião";
        $fetes[5][22] = "Quitéria";
        $fetes[5][23] = "Eufébio";
        $fetes[5][24] = "Sarah Kali";
        $fetes[5][25] = "Madalena";
        $fetes[5][26] = "Zacarías";
        $fetes[5][27] = "Agostinho";
        $fetes[5][28] = "Emílio";
        $fetes[5][29] = "Sinísio";
        $fetes[5][30] = "Fernando";
        $fetes[5][31] = "Parcácio";
        $fetes[6][1] = "Anibal";
        $fetes[6][2] = "Erasmo";
        $fetes[6][3] = "Clotilde";
        $fetes[6][4] = "Noemia";
        $fetes[6][5] = "Bonifácio";
        $fetes[6][6] = "Paulina";
        $fetes[6][7] = "Ana";
        $fetes[6][8] = "Medardo";
        $fetes[6][9] = "Ricardo";
        $fetes[6][10] = "Luciliano";
        $fetes[6][11] = "Barnabé";
        $fetes[6][12] = "Onofre";
        $fetes[6][13] = "Antônio";
        $fetes[6][14] = "Eliseu";
        $fetes[6][15] = "Adelaide";
        $fetes[6][16] = "Aureliano";
        $fetes[6][17] = "Adolfo";
        $fetes[6][18] = "Marina";
        $fetes[6][19] = "Romualdo";
        $fetes[6][20] = "Silvério";
        $fetes[6][21] = "Luiz Gonzaga";
        $fetes[6][22] = "Paulino";
        $fetes[6][23] = "José Cafasso";
        $fetes[6][24] = "Fausto";
        $fetes[6][25] = "Guilherme";
        $fetes[6][26] = "José Maria";
        $fetes[6][27] = "Ladislau";
        $fetes[6][28] = "Irineu";
        $fetes[6][29] = "Judite";
        $fetes[6][30] = "Austriciano";
        $fetes[7][1] = "Teodorico";
        $fetes[7][2] = "Monegundes";
        $fetes[7][3] = "Thomé";
        $fetes[7][4] = "Oséias";
        $fetes[7][5] = "Filomena";
        $fetes[7][6] = "Maria Goretti";
        $fetes[7][7] = "Firmino";
        $fetes[7][8] = "Auspício";
        $fetes[7][9] = "Anatólia";
        $fetes[7][10] = "Cristovão";
        $fetes[7][11] = "Bento";
        $fetes[7][12] = "João Gualberto";
        $fetes[7][13] = "Henrique";
        $fetes[7][14] = "Camilo";
        $fetes[7][15] = "Rosália";
        $fetes[7][16] = "Vitalino";
        $fetes[7][17] = "Aleixo";
        $fetes[7][18] = "Frederico";
        $fetes[7][19] = "Arsênio";
        $fetes[7][20] = "Margareth";
        $fetes[7][21] = "Cláudio";
        $fetes[7][22] = "Maria Madalena";
        $fetes[7][23] = "Brígida";
        $fetes[7][24] = "Cristina";
        $fetes[7][25] = "Valentina";
        $fetes[7][26] = "Joaquim";
        $fetes[7][27] = "Pantaleão";
        $fetes[7][28] = "Sansão";
        $fetes[7][29] = "Marta";
        $fetes[7][30] = "Leopoldo";
        $fetes[7][31] = "Fábio";
        $fetes[8][1] = "Afonso Maria";
        $fetes[8][2] = "Euzébio";
        $fetes[8][3] = "Nicodemus";
        $fetes[8][4] = "Vianney";
        $fetes[8][5] = "Cassiano";
        $fetes[8][6] = "Hormidas";
        $fetes[8][7] = "Caetano";
        $fetes[8][8] = "Domingo";
        $fetes[8][9] = "Romão";
        $fetes[8][10] = "Paula";
        $fetes[8][11] = "Clara";
        $fetes[8][12] = "Herculano";
        $fetes[8][13] = "Ponciano";
        $fetes[8][14] = "Maximiliano";
        $fetes[8][15] = "Tarcício";
        $fetes[8][16] = "Roque";
        $fetes[8][17] = "Mamede";
        $fetes[8][18] = "Helena";
        $fetes[8][19] = "João Eudes";
        $fetes[8][20] = "Samuel";
        $fetes[8][21] = "Humbelina";
        $fetes[8][22] = "Fabriciano";
        $fetes[8][23] = "Ovídio";
        $fetes[8][24] = "Bartolomeu";
        $fetes[8][25] = "Gerôncio";
        $fetes[8][26] = "Tereza";
        $fetes[8][27] = "Mônica";
        $fetes[8][28] = "Viviano";
        $fetes[8][29] = "Sabina";
        $fetes[8][30] = "Fiacre";
        $fetes[8][31] = "Ramon";
        $fetes[9][1] = "Terenciano";
        $fetes[9][2] = "Agrícola";
        $fetes[9][3] = "Gregorio";
        $fetes[9][4] = "Rosa";
        $fetes[9][5] = "Laurencio";
        $fetes[9][6] = "Zacarias";
        $fetes[9][7] = "Clodoaldo";
        $fetes[9][8] = "Adriano";
        $fetes[9][9] = "Doroteu";
        $fetes[9][10] = "Jáder";
        $fetes[9][11] = "Dídimo";
        $fetes[9][12] = "Guido";
        $fetes[9][13] = "João Crisóstomo";
        $fetes[9][14] = "Rósula";
        $fetes[9][15] = "Catarina";
        $fetes[9][16] = "Cypriano";
        $fetes[9][17] = "Roberto";
        $fetes[9][18] = "Metódio";
        $fetes[9][19] = "Emilia";
        $fetes[9][20] = "André Kim";
        $fetes[9][21] = "Mateus";
        $fetes[9][22] = "Maurício";
        $fetes[9][23] = "Padre Pio";
        $fetes[9][24] = "Germano";
        $fetes[9][25] = "Aurélia";
        $fetes[9][26] = "Cosme";
        $fetes[9][27] = "Florentino";
        $fetes[9][28] = "Bernardo";
        $fetes[9][29] = "Arcanjos";
        $fetes[9][30] = "Jerônimo";
        $fetes[10][1] = "Terezinha";
        $fetes[10][2] = "Custódio";
        $fetes[10][3] = "Hesíquio";
        $fetes[10][4] = "Francisco";
        $fetes[10][5] = "Flávia";
        $fetes[10][6] = "Bruno";
        $fetes[10][7] = "Justina";
        $fetes[10][8] = "Demétrio";
        $fetes[10][9] = "Deonísio";
        $fetes[10][10] = "Daniel Comboni";
        $fetes[10][11] = "Zenaide";
        $fetes[10][12] = "Edvino";
        $fetes[10][13] = "Eduardo";
        $fetes[10][14] = "Calisto";
        $fetes[10][15] = "Tereza D'Ávila";
        $fetes[10][16] = "Edwigis";
        $fetes[10][17] = "Ignácio";
        $fetes[10][18] = "Lucas";
        $fetes[10][19] = "Laura";
        $fetes[10][20] = "Bertilla";
        $fetes[10][21] = "Dásio";
        $fetes[10][22] = "Donato";
        $fetes[10][23] = "Servanio";
        $fetes[10][24] = "Antonio";
        $fetes[10][25] = "Crispin";
        $fetes[10][26] = "Flório";
        $fetes[10][27] = "Capitolina";
        $fetes[10][28] = "Judas Tadeu";
        $fetes[10][29] = "Narcísio";
        $fetes[10][30] = "Lupércio";
        $fetes[10][31] = "Quentino";
        $fetes[11][1] = "Maria";
        $fetes[11][2] = "Marciano";
        $fetes[11][3] = "Martinho";
        $fetes[11][4] = "Carlos";
        $fetes[11][5] = "Isabel";
        $fetes[11][6] = "Leonardo";
        $fetes[11][7] = "Amarante";
        $fetes[11][8] = "Deusdeth";
        $fetes[11][9] = "Salvador";
        $fetes[11][10] = "Leão Magno";
        $fetes[11][11] = "Martin";
        $fetes[11][12] = "Anastácio";
        $fetes[11][13] = "Luidi";
        $fetes[11][14] = "Gregório";
        $fetes[11][15] = "Lupério";
        $fetes[11][16] = "Margarete";
        $fetes[11][17] = "Vitoria";
        $fetes[11][18] = "Odo";
        $fetes[11][19] = "Roque Gonzales";
        $fetes[11][20] = "Edmundo";
        $fetes[11][21] = "Alberto";
        $fetes[11][22] = "Cecília";
        $fetes[11][23] = "Clemente";
        $fetes[11][24] = "Crisógono";
        $fetes[11][25] = "Jocunda";
        $fetes[11][26] = "Conrado";
        $fetes[11][27] = "Valeriano";
        $fetes[11][28] = "Sóstenes";
        $fetes[11][29] = "Iluminato";
        $fetes[11][30] = "André";
        $fetes[12][1] = "Naum";
        $fetes[12][2] = "Bibiana";
        $fetes[12][3] = "Mauro";
        $fetes[12][4] = "João Dasmaceno";
        $fetes[12][5] = "Crispina";
        $fetes[12][6] = "Nicolau";
        $fetes[12][7] = "Fara";
        $fetes[12][8] = "Romário";
        $fetes[12][9] = "João Diego";
        $fetes[12][10] = "Melquíades";
        $fetes[12][11] = "Hugolino";
        $fetes[12][12] = "Edburga";
        $fetes[12][13] = "Luzia";
        $fetes[12][14] = "Nimatullah";
        $fetes[12][15] = "Nina";
        $fetes[12][16] = "Ananias";
        $fetes[12][17] = "Lázaro";
        $fetes[12][18] = "Basiliano";
        $fetes[12][19] = "Téia";
        $fetes[12][20] = "Domingos";
        $fetes[12][21] = "Temístocles";
        $fetes[12][22] = "Floro";
        $fetes[12][23] = "João Câncio";
        $fetes[12][24] = "Charbel";
        $fetes[12][25] = "Jacó";
        $fetes[12][26] = "Estevão";
        $fetes[12][27] = "Teófanes";
        $fetes[12][28] = "Santos Inocentes";
        $fetes[12][29] = "Thomas Becket";
        $fetes[12][30] = "Fulgêncio";
        $fetes[12][31] = "Silvestre";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }

    public function todayEn($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Paul";
        $fetes[1][2] = "Abel";
        $fetes[1][3] = "Jennifer";
        $fetes[1][4] = "Angel";
        $fetes[1][5] = "Ladd";
        $fetes[1][6] = "Tiffany";
        $fetes[1][7] = "Miller";
        $fetes[1][8] = "Elvis";
        $fetes[1][9] = "Mindy";
        $fetes[1][10] = "Darby";
        $fetes[1][11] = "Nora";
        $fetes[1][12] = "Alan";
        $fetes[1][13] = "Veronica";
        $fetes[1][14] = "Hilary";
        $fetes[1][15] = "Martin";
        $fetes[1][16] = "Priscilla";
        $fetes[1][17] = "Anthony";
        $fetes[1][18] = "Fraser";
        $fetes[1][19] = "Robert";
        $fetes[1][20] = "Sebastian";
        $fetes[1][21] = "Ethan";
        $fetes[1][22] = "Vincent";
        $fetes[1][23] = "Rachel";
        $fetes[1][24] = "Timothy";
        $fetes[1][25] = "Gwayne";
        $fetes[1][26] = "Connor";
        $fetes[1][27] = "Keith";
        $fetes[1][28] = "Charlene";
        $fetes[1][29] = "Sheldon";
        $fetes[1][30] = "Franklin";
        $fetes[1][31] = "Scarlett";
        $fetes[2][1] = "Clark";
        $fetes[2][2] = "Alita";
        $fetes[2][3] = "Baxter";
        $fetes[2][4] = "Gilbert";
        $fetes[2][5] = "Agatha";
        $fetes[2][6] = "Dorothy";
        $fetes[2][7] = "Beverly";
        $fetes[2][8] = "Clive";
        $fetes[2][9] = "Carson";
        $fetes[2][10] = "Meredith";
        $fetes[2][11] = "Alvaro";
        $fetes[2][12] = "Abraham";
        $fetes[2][13] = "Darcy";
        $fetes[2][14] = "Valentina";
        $fetes[2][15] = "Susan";
        $fetes[2][16] = "Sonny";
        $fetes[2][17] = "Jordan";
        $fetes[2][18] = "Bentley";
        $fetes[2][19] = "Conrad";
        $fetes[2][20] = "Sidney";
        $fetes[2][21] = "Douglas";
        $fetes[2][22] = "Isabel";
        $fetes[2][23] = "Riley";
        $fetes[2][24] = "Mattias";
        $fetes[2][25] = "Weldon";
        $fetes[2][26] = "Levi";
        $fetes[2][27] = "Leandra";
        $fetes[2][28] = "Macy";
        $fetes[2][29] = "Oswald";
        $fetes[3][1] = "Seth";
        $fetes[3][2] = "Chad";
        $fetes[3][3] = "Alex";
        $fetes[3][4] = "Humbert";
        $fetes[3][5] = "Kerry";
        $fetes[3][6] = "Carlton";
        $fetes[3][7] = "Dewey";
        $fetes[3][8] = "Humfrey";
        $fetes[3][9] = "Kelly";
        $fetes[3][10] = "Lesly";
        $fetes[3][11] = "Connie";
        $fetes[3][12] = "Greg";
        $fetes[3][13] = "Rodney";
        $fetes[3][14] = "Matilda";
        $fetes[3][15] = "Louise";
        $fetes[3][16] = "Bailey";
        $fetes[3][17] = "Patrick";
        $fetes[3][18] = "Sybil";
        $fetes[3][19] = "Donovan";
        $fetes[3][20] = "Dylan";
        $fetes[3][21] = "Benedict";
        $fetes[3][22] = "Lee";
        $fetes[3][23] = "Pamela";
        $fetes[3][24] = "Gabriel";
        $fetes[3][25] = "Tina";
        $fetes[3][26] = "Hunter";
        $fetes[3][27] = "Monty";
        $fetes[3][28] = "Gwen";
        $fetes[3][29] = "Pearl";
        $fetes[3][30] = "Adonis";
        $fetes[3][31] = "Amos";
        $fetes[4][1] = "April";
        $fetes[4][2] = "Garnet";
        $fetes[4][3] = "Richard";
        $fetes[4][4] = "Cedric";
        $fetes[4][5] = "Irene";
        $fetes[4][6] = "Celestine";
        $fetes[4][7] = "Armand";
        $fetes[4][8] = "Gillian";
        $fetes[4][9] = "Courtney";
        $fetes[4][10] = "Tori";
        $fetes[4][11] = "Ariel";
        $fetes[4][12] = "Destiny";
        $fetes[4][13] = "Thomas";
        $fetes[4][14] = "Hudson";
        $fetes[4][15] = "Tucker";
        $fetes[4][16] = "Melvin";
        $fetes[4][17] = "Hardy";
        $fetes[4][18] = "Anthea";
        $fetes[4][19] = "Garrett";
        $fetes[4][20] = "Ramsey";
        $fetes[4][21] = "Selma";
        $fetes[4][22] = "Kaylee";
        $fetes[4][23] = "Brian";
        $fetes[4][24] = "Wilfred";
        $fetes[4][25] = "Marc";
        $fetes[4][26] = "Clarence";
        $fetes[4][27] = "Samantha";
        $fetes[4][28] = "Valerian";
        $fetes[4][29] = "Hugh";
        $fetes[4][30] = "Miles";
        $fetes[5][1] = "May";
        $fetes[5][2] = "Zoe";
        $fetes[5][3] = "Troy";
        $fetes[5][4] = "Monica";
        $fetes[5][5] = "Jody";
        $fetes[5][6] = "Mya";
        $fetes[5][7] = "Dexter";
        $fetes[5][8] = "Harold";
        $fetes[5][9] = "Casandra";
        $fetes[5][10] = "Gordon";
        $fetes[5][11] = "Irving";
        $fetes[5][12] = "Kellen";
        $fetes[5][13] = "Peyton";
        $fetes[5][14] = "Ashley";
        $fetes[5][15] = "Sonia";
        $fetes[5][16] = "Brandon";
        $fetes[5][17] = "Turner";
        $fetes[5][18] = "Eric";
        $fetes[5][19] = "Duncan";
        $fetes[5][20] = "Bennett";
        $fetes[5][21] = "Keaton";
        $fetes[5][22] = "Joleen";
        $fetes[5][23] = "Desire";
        $fetes[5][24] = "Chelsea";
        $fetes[5][25] = "Marlene";
        $fetes[5][26] = "Philip";
        $fetes[5][27] = "Brody";
        $fetes[5][28] = "Bevis";
        $fetes[5][29] = "Dwayne";
        $fetes[5][30] = "Joanna";
        $fetes[5][31] = "Camilia";
        $fetes[6][1] = "Marilyn";
        $fetes[6][2] = "Elma";
        $fetes[6][3] = "Kevin";
        $fetes[6][4] = "Homer";
        $fetes[6][5] = "Sancho";
        $fetes[6][6] = "Dante";
        $fetes[6][7] = "Whitney";
        $fetes[6][8] = "Kane";
        $fetes[6][9] = "Cole";
        $fetes[6][10] = "Maggie";
        $fetes[6][11] = "Barnett";
        $fetes[6][12] = "Mohamed";
        $fetes[6][13] = "Ivy";
        $fetes[6][14] = "Basil";
        $fetes[6][15] = "Allison";
        $fetes[6][16] = "Aurel";
        $fetes[6][17] = "Harvey";
        $fetes[6][18] = "Marina";
        $fetes[6][19] = "Jarvis";
        $fetes[6][20] = "Earl";
        $fetes[6][21] = "Winston";
        $fetes[6][22] = "Albion";
        $fetes[6][23] = "Shania";
        $fetes[6][24] = "Ian";
        $fetes[6][25] = "William";
        $fetes[6][26] = "Harlan";
        $fetes[6][27] = "Skyler";
        $fetes[6][28] = "Daria";
        $fetes[6][29] = "Emmett";
        $fetes[6][30] = "Leanna";
        $fetes[7][1] = "Aaron";
        $fetes[7][2] = "Penelope";
        $fetes[7][3] = "Lindsay";
        $fetes[7][4] = "Calvin";
        $fetes[7][5] = "Grace";
        $fetes[7][6] = "Jamaal";
        $fetes[7][7] = "Randall";
        $fetes[7][8] = "Easton";
        $fetes[7][9] = "Junior";
        $fetes[7][10] = "Manuel";
        $fetes[7][11] = "Oliver";
        $fetes[7][12] = "Oscar";
        $fetes[7][13] = "Natalie";
        $fetes[7][14] = "Cameron";
        $fetes[7][15] = "Donald";
        $fetes[7][16] = "Carmen";
        $fetes[7][17] = "Codie";
        $fetes[7][18] = "Freddy";
        $fetes[7][19] = "Wayne";
        $fetes[7][20] = "Elliot";
        $fetes[7][21] = "Westley";
        $fetes[7][22] = "Magda";
        $fetes[7][23] = "Roman";
        $fetes[7][24] = "Christina";
        $fetes[7][25] = "Jack";
        $fetes[7][26] = "Anita";
        $fetes[7][27] = "Lily";
        $fetes[7][28] = "Lysander";
        $fetes[7][29] = "Beatrice";
        $fetes[7][30] = "Henry";
        $fetes[7][31] = "Reed";
        $fetes[8][1] = "Faith";
        $fetes[8][2] = "Alfonso";
        $fetes[8][3] = "Lyle";
        $fetes[8][4] = "Barack";
        $fetes[8][5] = "Naomi";
        $fetes[8][6] = "Lucy";
        $fetes[8][7] = "Claudia";
        $fetes[8][8] = "Victoria";
        $fetes[8][9] = "Felim";
        $fetes[8][10] = "Laurence";
        $fetes[8][11] = "Leila";
        $fetes[8][12] = "Claire";
        $fetes[8][13] = "Radford";
        $fetes[8][14] = "Tara";
        $fetes[8][15] = "Maria";
        $fetes[8][16] = "Craig";
        $fetes[8][17] = "Jacinda";
        $fetes[8][18] = "Ellen";
        $fetes[8][19] = "Sally";
        $fetes[8][20] = "Rey";
        $fetes[8][21] = "Jane";
        $fetes[8][22] = "Heather";
        $fetes[8][23] = "Gina";
        $fetes[8][24] = "Owen";
        $fetes[8][25] = "Lenny";
        $fetes[8][26] = "Trevis";
        $fetes[8][27] = "Sheryl";
        $fetes[8][28] = "Austin";
        $fetes[8][29] = "Sabrina";
        $fetes[8][30] = "Rose";
        $fetes[8][31] = "Ayden";
        $fetes[9][1] = "Debra";
        $fetes[9][2] = "Brooke";
        $fetes[9][3] = "Phoebe";
        $fetes[9][4] = "Rebecca";
        $fetes[9][5] = "Burt";
        $fetes[9][6] = "Bertram";
        $fetes[9][7] = "Regina";
        $fetes[9][8] = "Adrien";
        $fetes[9][9] = "Jade";
        $fetes[9][10] = "Arnold";
        $fetes[9][11] = "Glenn";
        $fetes[9][12] = "Guy";
        $fetes[9][13] = "Orlando";
        $fetes[9][14] = "Dolores";
        $fetes[9][15] = "Keisha";
        $fetes[9][16] = "Cornelia";
        $fetes[9][17] = "Lambert";
        $fetes[9][18] = "Clint";
        $fetes[9][19] = "Morgan";
        $fetes[9][20] = "Haylee";
        $fetes[9][21] = "Mira";
        $fetes[9][22] = "Morris";
        $fetes[9][23] = "Lynn";
        $fetes[9][24] = "Scott";
        $fetes[9][25] = "Barry";
        $fetes[9][26] = "Renee";
        $fetes[9][27] = "Damian";
        $fetes[9][28] = "Preston";
        $fetes[9][29] = "Michael";
        $fetes[9][30] = "Jerome";
        $fetes[10][1] = "Rhea";
        $fetes[10][2] = "Forest";
        $fetes[10][3] = "Kelvin";
        $fetes[10][4] = "Frank";
        $fetes[10][5] = "Chester";
        $fetes[10][6] = "Bronson";
        $fetes[10][7] = "Miranda";
        $fetes[10][8] = "Stuart";
        $fetes[10][9] = "Dennis";
        $fetes[10][10] = "Daniel";
        $fetes[10][11] = "Kimberley";
        $fetes[10][12] = "Christopher";
        $fetes[10][13] = "Eddie";
        $fetes[10][14] = "Dwight";
        $fetes[10][15] = "Terrence";
        $fetes[10][16] = "Noah";
        $fetes[10][17] = "Bradley";
        $fetes[10][18] = "Luke";
        $fetes[10][19] = "Cleo";
        $fetes[10][20] = "Hogan";
        $fetes[10][21] = "Ursula";
        $fetes[10][22] = "Delia";
        $fetes[10][23] = "Josie";
        $fetes[10][24] = "Raphael";
        $fetes[10][25] = "Denzel";
        $fetes[10][26] = "Maddock";
        $fetes[10][27] = "Theodore";
        $fetes[10][28] = "Simon";
        $fetes[10][29] = "Garrison";
        $fetes[10][30] = "Xena";
        $fetes[10][31] = "Flynn";
        $fetes[11][1] = "Summer";
        $fetes[11][2] = "Tobias";
        $fetes[11][3] = "Winnie";
        $fetes[11][4] = "Carroll";
        $fetes[11][5] = "Swain";
        $fetes[11][6] = "Mackenzie";
        $fetes[11][7] = "Graham";
        $fetes[11][8] = "Geoffrey";
        $fetes[11][9] = "Sullivan";
        $fetes[11][10] = "Justin";
        $fetes[11][11] = "Chandler";
        $fetes[11][12] = "Kyle";
        $fetes[11][13] = "Bruce";
        $fetes[11][14] = "Cristal";
        $fetes[11][15] = "Leopold";
        $fetes[11][16] = "Chase";
        $fetes[11][17] = "Hildy";
        $fetes[11][18] = "Odelia";
        $fetes[11][19] = "Elizabeth";
        $fetes[11][20] = "Edmond";
        $fetes[11][21] = "Kayden";
        $fetes[11][22] = "Abigail";
        $fetes[11][23] = "Clemence";
        $fetes[11][24] = "Zackary";
        $fetes[11][25] = "Caitlyn";
        $fetes[11][26] = "Mallory";
        $fetes[11][27] = "Pharrell";
        $fetes[11][28] = "Nolan";
        $fetes[11][29] = "Dahlia";
        $fetes[11][30] = "Andreas";
        $fetes[12][1] = "Eli";
        $fetes[12][2] = "Taylor";
        $fetes[12][3] = "Malcolm";
        $fetes[12][4] = "Barbie";
        $fetes[12][5] = "Wallace";
        $fetes[12][6] = "Nicolas";
        $fetes[12][7] = "Jasmine";
        $fetes[12][8] = "Spencer";
        $fetes[12][9] = "Kirk";
        $fetes[12][10] = "Emily";
        $fetes[12][11] = "Arthur";
        $fetes[12][12] = "Fiona";
        $fetes[12][13] = "Cindy";
        $fetes[12][14] = "Boyden";
        $fetes[12][15] = "Mirella";
        $fetes[12][16] = "Adele";
        $fetes[12][17] = "Lazarus";
        $fetes[12][18] = "Russell";
        $fetes[12][19] = "Darius";
        $fetes[12][20] = "Roxanne";
        $fetes[12][21] = "Vance";
        $fetes[12][22] = "Tristan";
        $fetes[12][23] = "Hartman";
        $fetes[12][24] = "Adam";
        $fetes[12][25] = "Holly";
        $fetes[12][26] = "Steve";
        $fetes[12][27] = "Alvin";
        $fetes[12][28] = "Woody";
        $fetes[12][29] = "David";
        $fetes[12][30] = "Kelsey";
        $fetes[12][31] = "Sylvester";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }

    public function todayIt($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Fulgenzia";
        $fetes[1][2] = "Odilone";
        $fetes[1][3] = "Danio";
        $fetes[1][4] = "Betta";
        $fetes[1][5] = "Amelia";
        $fetes[1][6] = "Gaspare";
        $fetes[1][7] = "Crispino";
        $fetes[1][8] = "Massimo";
        $fetes[1][9] = "Alessia";
        $fetes[1][10] = "Aldo";
        $fetes[1][11] = "Onorata";
        $fetes[1][12] = "Arcadio";
        $fetes[1][13] = "Eliana";
        $fetes[1][14] = "Bianca";
        $fetes[1][15] = "Abaco";
        $fetes[1][16] = "Accursio";
        $fetes[1][17] = "Alba";
        $fetes[1][18] = "Beatrice";
        $fetes[1][19] = "Mario";
        $fetes[1][20] = "Sebastiano";
        $fetes[1][21] = "Agnese";
        $fetes[1][22] = "Domenico";
        $fetes[1][23] = "Armanda";
        $fetes[1][24] = "Babila";
        $fetes[1][25] = "Agape";
        $fetes[1][26] = "Alberica";
        $fetes[1][27] = "Devota";
        $fetes[1][28] = "Amedea";
        $fetes[1][29] = "Ciro";
        $fetes[1][30] = "Batilda";
        $fetes[1][31] = "Lodovica";
        $fetes[2][1] = "Severo";
        $fetes[2][2] = "Sabatino";
        $fetes[2][3] = "Adele";
        $fetes[2][4] = "Gilberta";
        $fetes[2][5] = "Adelaide";
        $fetes[2][6] = "Amanda";
        $fetes[2][7] = "Giuliana";
        $fetes[2][8] = "Giacoma";
        $fetes[2][9] = "Rinaldo";
        $fetes[2][10] = "Guglielmo";
        $fetes[2][11] = "Dante";
        $fetes[2][12] = "Eulalia";
        $fetes[2][13] = "Fosca";
        $fetes[2][14] = "Cirillo";
        $fetes[2][15] = "Giorgia";
        $fetes[2][16] = "Samuele";
        $fetes[2][17] = "Flaviano";
        $fetes[2][18] = "Cinzia";
        $fetes[2][19] = "Alvaro";
        $fetes[2][20] = "Eleuterio";
        $fetes[2][21] = "Eleonora";
        $fetes[2][22] = "Ariosto";
        $fetes[2][23] = "Livia";
        $fetes[2][24] = "Romeo";
        $fetes[2][25] = "Cornelio";
        $fetes[2][26] = "Leandro";
        $fetes[2][27] = "Antonia";
        $fetes[2][28] = "Augusto";
        $fetes[2][29] = "Silvio";
        $fetes[3][1] = "Delinda";
        $fetes[3][2] = "Camelia";
        $fetes[3][3] = "Casimira";
        $fetes[3][4] = "Adriana";
        $fetes[3][5] = "Ezio";
        $fetes[3][6] = "Felicita";
        $fetes[3][7] = "Beata";
        $fetes[3][8] = "Francesca";
        $fetes[3][9] = "Crescente";
        $fetes[3][10] = "Ramiro";
        $fetes[3][11] = "Maxime";
        $fetes[3][12] = "Eufrasia";
        $fetes[3][13] = "Matilde";
        $fetes[3][14] = "Lucrezia";
        $fetes[3][15] = "Abramio";
        $fetes[3][16] = "Patrizio";
        $fetes[3][17] = "Cirillo";
        $fetes[3][18] = "Giuseppe";
        $fetes[3][19] = "Alessandra";
        $fetes[3][20] = "Benedetto";
        $fetes[3][21] = "Lea";
        $fetes[3][22] = "Turibio";
        $fetes[3][23] = "Attilia";
        $fetes[3][24] = "Annunziata";
        $fetes[3][25] = "Emanuela";
        $fetes[3][26] = "Arcibaldo";
        $fetes[3][27] = "Doroteo";
        $fetes[3][28] = "Secondo";
        $fetes[3][29] = "Decimo";
        $fetes[3][30] = "Amos";
        $fetes[3][31] = "Dora";
        $fetes[4][1] = "Abbondio";
        $fetes[4][2] = "Riccardo";
        $fetes[4][3] = "Isidoro";
        $fetes[4][4] = "Diogene";
        $fetes[4][5] = "Celeste";
        $fetes[4][6] = "Ermanna";
        $fetes[4][7] = "Dionigi";
        $fetes[4][8] = "Cleo";
        $fetes[4][9] = "Ezechiele";
        $fetes[4][10] = "Angelo";
        $fetes[4][11] = "Alfiero";
        $fetes[4][12] = "Martino";
        $fetes[4][13] = "Ermenegildo";
        $fetes[4][14] = "Anastasia";
        $fetes[4][15] = "Grazia";
        $fetes[4][16] = "Aniceto";
        $fetes[4][17] = "Galdino";
        $fetes[4][18] = "Emma";
        $fetes[4][19] = "Adalgisa";
        $fetes[4][20] = "Anselma";
        $fetes[4][21] = "Leonida";
        $fetes[4][22] = "Adalberta";
        $fetes[4][23] = "Melissa";
        $fetes[4][24] = "Baldassarre";
        $fetes[4][25] = "Alida";
        $fetes[4][26] = "Antimo";
        $fetes[4][27] = "Valeria";
        $fetes[4][28] = "Caterina";
        $fetes[4][29] = "Rosamunda";
        $fetes[4][30] = "Achille";
        $fetes[5][1] = "Flaminia";
        $fetes[5][2] = "Viola";
        $fetes[5][3] = "Ada";
        $fetes[5][4] = "Gottardo";
        $fetes[5][5] = "Prudenzia";
        $fetes[5][6] = "Augusta";
        $fetes[5][7] = "Bonifacio";
        $fetes[5][8] = "Gerolamo";
        $fetes[5][9] = "Cataldo";
        $fetes[5][10] = "Gandolfo";
        $fetes[5][11] = "Imelda";
        $fetes[5][12] = "Fatima";
        $fetes[5][13] = "Ampelio";
        $fetes[5][14] = "Dionisia";
        $fetes[5][15] = "Adamo";
        $fetes[5][16] = "Basilia";
        $fetes[5][17] = "Venanzio";
        $fetes[5][18] = "Gisella";
        $fetes[5][19] = "Anastasio";
        $fetes[5][20] = "Adalrico";
        $fetes[5][21] = "Rita";
        $fetes[5][22] = "Desiderio";
        $fetes[5][23] = "Albano";
        $fetes[5][24] = "Adelma";
        $fetes[5][25] = "Filippo";
        $fetes[5][26] = "Oliviero";
        $fetes[5][27] = "Emilio";
        $fetes[5][28] = "Alessandro";
        $fetes[5][29] = "Giovanna";
        $fetes[5][30] = "Battista";
        $fetes[5][31] = "Ermenegilda";
        $fetes[6][1] = "Alcibiade";
        $fetes[6][2] = "Clotilde";
        $fetes[6][3] = "Isabella";
        $fetes[6][4] = "Fernando";
        $fetes[6][5] = "Norberto";
        $fetes[6][6] = "Landolfo";
        $fetes[6][7] = "Dolcelino";
        $fetes[6][8] = "Efrem";
        $fetes[6][9] = "Diana";
        $fetes[6][10] = "Barnaba";
        $fetes[6][11] = "Cirino";
        $fetes[6][12] = "Anthony";
        $fetes[6][13] = "Valery";
        $fetes[6][14] = "Germana";
        $fetes[6][15] = "Ferruccio";
        $fetes[6][16] = "Adolfo";
        $fetes[6][17] = "Calogero";
        $fetes[6][18] = "Gervasa";
        $fetes[6][19] = "Consolata";
        $fetes[6][20] = "Lo";
        $fetes[6][21] = "Eberardo";
        $fetes[6][22] = "Agrippa";
        $fetes[6][23] = "Eros";
        $fetes[6][24] = "Eraldo";
        $fetes[6][25] = "Adeodata";
        $fetes[6][26] = "Ladislao";
        $fetes[6][27] = "Eraclide";
        $fetes[6][28] = "Pietro";
        $fetes[6][29] = "Ottone";
        $fetes[6][30] = "Arsenio";
        $fetes[7][1] = "Santo";
        $fetes[7][2] = "Tommaso";
        $fetes[7][3] = "Elisabetta";
        $fetes[7][4] = "Filomena";
        $fetes[7][5] = "Isaia";
        $fetes[7][6] = "Claudio";
        $fetes[7][7] = "Edgardo";
        $fetes[7][8] = "Abbondanza";
        $fetes[7][9] = "Michelangelo";
        $fetes[7][10] = "Amabile";
        $fetes[7][11] = "Felice";
        $fetes[7][12] = "Enrico";
        $fetes[7][13] = "Camillo";
        $fetes[7][14] = "Amerigo";
        $fetes[7][15] = "Carmela";
        $fetes[7][16] = "Generosa";
        $fetes[7][17] = "Federica";
        $fetes[7][18] = "Cecco";
        $fetes[7][19] = "Elia";
        $fetes[7][20] = "Daniela";
        $fetes[7][21] = "Amore";
        $fetes[7][22] = "Apollinare";
        $fetes[7][23] = "Cristina";
        $fetes[7][24] = "Cristoforo";
        $fetes[7][25] = "Anna";
        $fetes[7][26] = "Arnaldo";
        $fetes[7][27] = "Nazario";
        $fetes[7][28] = "Bice";
        $fetes[7][29] = "Abdone";
        $fetes[7][30] = "Ignazia";
        $fetes[7][31] = "Alfonso";
        $fetes[8][1] = "Alfreda";
        $fetes[8][2] = "Dalmazio";
        $fetes[8][3] = "Agabio";
        $fetes[8][4] = "Abele";
        $fetes[8][5] = "Salvatore";
        $fetes[8][6] = "Donato";
        $fetes[8][7] = "Ciriaco";
        $fetes[8][8] = "Romano";
        $fetes[8][9] = "Lorenzo";
        $fetes[8][10] = "Chiara";
        $fetes[8][11] = "Ercolina";
        $fetes[8][12] = "Concordia";
        $fetes[8][13] = "Alfred";
        $fetes[8][14] = "Achiropita";
        $fetes[8][15] = "Rocco";
        $fetes[8][16] = "Giacinto";
        $fetes[8][17] = "Aimone";
        $fetes[8][18] = "Italia";
        $fetes[8][19] = "Bernardo";
        $fetes[8][20] = "Baldovino";
        $fetes[8][21] = "Aldobrando";
        $fetes[8][22] = "Benito";
        $fetes[8][23] = "Anita";
        $fetes[8][24] = "Clodoveo";
        $fetes[8][25] = "Oronzo";
        $fetes[8][26] = "Monica";
        $fetes[8][27] = "Agostina";
        $fetes[8][28] = "Adelfo";
        $fetes[8][29] = "Gaudenzia";
        $fetes[8][30] = "Aida";
        $fetes[8][31] = "Abigail";
        $fetes[9][1] = "Ingrid";
        $fetes[9][2] = "Clelia";
        $fetes[9][3] = "Dina";
        $fetes[9][4] = "Giordano";
        $fetes[9][5] = "Eva";
        $fetes[9][6] = "Guido";
        $fetes[9][7] = "Addolorata";
        $fetes[9][8] = "Omero";
        $fetes[9][9] = "Candida";
        $fetes[9][10] = "Almiro";
        $fetes[9][11] = "Maria";
        $fetes[9][12] = "Amato";
        $fetes[9][13] = "Crescenzio";
        $fetes[9][14] = "Baldo";
        $fetes[9][15] = "Cipriano";
        $fetes[9][16] = "Colomba";
        $fetes[9][17] = "Arianna";
        $fetes[9][18] = "Elio";
        $fetes[9][19] = "Eustachia";
        $fetes[9][20] = "Matteo";
        $fetes[9][21] = "Maurizio";
        $fetes[9][22] = "Libero";
        $fetes[9][23] = "Amata";
        $fetes[9][24] = "Aurelia";
        $fetes[9][25] = "Cosma";
        $fetes[9][26] = "Fidenzio";
        $fetes[9][27] = "Venceslao";
        $fetes[9][28] = "Alarico";
        $fetes[9][29] = "Dino";
        $fetes[9][30] = "Remigio";
        $fetes[10][1] = "Berengario";
        $fetes[10][2] = "Candido";
        $fetes[10][3] = "Berenice";
        $fetes[10][4] = "Attila";
        $fetes[10][5] = "Adelca";
        $fetes[10][6] = "Bacco";
        $fetes[10][7] = "Ivano";
        $fetes[10][8] = "Abramo";
        $fetes[10][9] = "Alderico";
        $fetes[10][10] = "Folco";
        $fetes[10][11] = "Amico";
        $fetes[10][12] = "Edoarda";
        $fetes[10][13] = "Callisto";
        $fetes[10][14] = "Edda";
        $fetes[10][15] = "Edvige";
        $fetes[10][16] = "Eloisa";
        $fetes[10][17] = "Luca";
        $fetes[10][18] = "Cleopatra";
        $fetes[10][19] = "Aurora";
        $fetes[10][20] = "Bertoldo";
        $fetes[10][21] = "Donato";
        $fetes[10][22] = "Manlio";
        $fetes[10][23] = "Raffaele";
        $fetes[10][24] = "Gavino";
        $fetes[10][25] = "Evaristo";
        $fetes[10][26] = "Fiorenzo";
        $fetes[10][27] = "Cirilla";
        $fetes[10][28] = "Cordelia";
        $fetes[10][29] = "Benvenuta";
        $fetes[10][30] = "Lucilla";
        $fetes[10][31] = "Tutti I Santi";
        $fetes[11][1] = "Tobia";
        $fetes[11][2] = "Dalila";
        $fetes[11][3] = "Amauri";
        $fetes[11][4] = "Elisa";
        $fetes[11][5] = "Leonardo";
        $fetes[11][6] = "Carina";
        $fetes[11][7] = "Goffredo";
        $fetes[11][8] = "Teodoro";
        $fetes[11][9] = "Fiorenza";
        $fetes[11][10] = "Martino";
        $fetes[11][11] = "Aurelio";
        $fetes[11][12] = "Diego";
        $fetes[11][13] = "Veneranda";
        $fetes[11][14] = "Alberto";
        $fetes[11][15] = "Geltrude";
        $fetes[11][16] = "Eugenio";
        $fetes[11][17] = "Frediana";
        $fetes[11][18] = "Fausto";
        $fetes[11][19] = "Benigno";
        $fetes[11][20] = "Celso";
        $fetes[11][21] = "Cecilia";
        $fetes[11][22] = "Adelasia";
        $fetes[11][23] = "Flora";
        $fetes[11][24] = "Caterina";
        $fetes[11][25] = "Delfino";
        $fetes[11][26] = "Astrid";
        $fetes[11][27] = "Teodora";
        $fetes[11][28] = "Fedra";
        $fetes[11][29] = "Andrea";
        $fetes[11][30] = "Eligio";
        $fetes[12][1] = "Viviana";
        $fetes[12][2] = "Fransceco";
        $fetes[12][3] = "Addo";
        $fetes[12][4] = "Crispina";
        $fetes[12][5] = "Angelica";
        $fetes[12][6] = "Ambrogia";
        $fetes[12][7] = "Concetta";
        $fetes[12][8] = "Amleto";
        $fetes[12][9] = "Amanzio";
        $fetes[12][10] = "Damaso";
        $fetes[12][11] = "Lena";
        $fetes[12][12] = "Antioco";
        $fetes[12][13] = "Pompeo";
        $fetes[12][14] = "Cristiana";
        $fetes[12][15] = "Adone";
        $fetes[12][16] = "Lazzaro";
        $fetes[12][17] = "Graziano";
        $fetes[12][18] = "Dario";
        $fetes[12][19] = "Liberato";
        $fetes[12][20] = "Temistocle";
        $fetes[12][21] = "Demetrio";
        $fetes[12][22] = "Dagoberto";
        $fetes[12][23] = "Irma";
        $fetes[12][24] = "Nerea";
        $fetes[12][25] = "Stefania";
        $fetes[12][26] = "Delfina";
        $fetes[12][27] = "Donna";
        $fetes[12][28] = "Davide";
        $fetes[12][29] = "Raniero";
        $fetes[12][30] = "Fiore";
        $fetes[12][31] = "Silvestre";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }

    public function todayEs($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Jesús";
        $fetes[1][2] = "Basilio";
        $fetes[1][3] = "Genoveva";
        $fetes[1][4] = "Aquilino";
        $fetes[1][5] = "Telesforo";
        $fetes[1][6] = "Reyes";
        $fetes[1][7] = "Raimundo";
        $fetes[1][8] = "Luciano";
        $fetes[1][9] = "Eulogio";
        $fetes[1][10] = "Agatón";
        $fetes[1][11] = "Higinio";
        $fetes[1][12] = "Nazario";
        $fetes[1][13] = "Hilario";
        $fetes[1][14] = "Benita";
        $fetes[1][15] = "Macario";
        $fetes[1][16] = "Fulgencio";
        $fetes[1][17] = "Antonio";
        $fetes[1][18] = "Beatriz";
        $fetes[1][19] = "Mario";
        $fetes[1][20] = "Sebastián";
        $fetes[1][21] = "Inés";
        $fetes[1][22] = "Anastasio";
        $fetes[1][23] = "Ildefonso";
        $fetes[1][24] = "Francisco";
        $fetes[1][25] = "Elvira";
        $fetes[1][26] = "Paula";
        $fetes[1][27] = "Ángela";
        $fetes[1][28] = "Julián";
        $fetes[1][29] = "Valero";
        $fetes[1][30] = "Martina";
        $fetes[1][31] = "Marcela";
        $fetes[2][1] = "Cecilio";
        $fetes[2][2] = "Candelaria";
        $fetes[2][3] = "Blas";
        $fetes[2][4] = "Donato";
        $fetes[2][5] = "Águeda";
        $fetes[2][6] = "Dorotea";
        $fetes[2][7] = "Moisés";
        $fetes[2][8] = "Teodoro";
        $fetes[2][9] = "Apolonia";
        $fetes[2][10] = "Sotera";
        $fetes[2][11] = "Lurdes";
        $fetes[2][12] = "Eulalia";
        $fetes[2][13] = "Gilberto";
        $fetes[2][14] = "Valentín";
        $fetes[2][15] = "Severo";
        $fetes[2][16] = "Onésimo";
        $fetes[2][17] = "Alejo";
        $fetes[2][18] = "Simeón";
        $fetes[2][19] = "Gabino";
        $fetes[2][20] = "Eleuterio";
        $fetes[2][21] = "Damián";
        $fetes[2][22] = "Leonor";
        $fetes[2][23] = "Marta";
        $fetes[2][24] = "Sergio";
        $fetes[2][25] = "Cesáreo";
        $fetes[2][26] = "Néstor";
        $fetes[2][27] = "Honorio";
        $fetes[2][28] = "Rufino";
        $fetes[2][29] = "Tararia";
        $fetes[3][1] = "León";
        $fetes[3][2] = "Heraclio";
        $fetes[3][3] = "Marino";
        $fetes[3][4] = "Cirilo";
        $fetes[3][5] = "Adrián";
        $fetes[3][6] = "Olegario";
        $fetes[3][7] = "Felicidad";
        $fetes[3][8] = "Juan de Dios";
        $fetes[3][9] = "Francisca";
        $fetes[3][10] = "Cayo";
        $fetes[3][11] = "Eutimio";
        $fetes[3][12] = "Maximiliano";
        $fetes[3][13] = "Rodrigo";
        $fetes[3][14] = "Matilde";
        $fetes[3][15] = "Luisa";
        $fetes[3][16] = "Agapito";
        $fetes[3][17] = "Patricio";
        $fetes[3][18] = "Salvador";
        $fetes[3][19] = "José";
        $fetes[3][20] = "Eufemia";
        $fetes[3][21] = "Filemón";
        $fetes[3][22] = "Deogracias";
        $fetes[3][23] = "Toribio";
        $fetes[3][24] = "Berta";
        $fetes[3][25] = "Dimas";
        $fetes[3][26] = "Dolores";
        $fetes[3][27] = "Lázaro";
        $fetes[3][28] = "Doroteo";
        $fetes[3][29] = "Jonás";
        $fetes[3][30] = "Quirino";
        $fetes[3][31] = "Amadeo";
        $fetes[4][1] = "Celso";
        $fetes[4][2] = "Ricardo";
        $fetes[4][3] = "Pancrasio";
        $fetes[4][4] = "Platón";
        $fetes[4][5] = "Vicente";
        $fetes[4][6] = "Timoteo";
        $fetes[4][7] = "Epifanio";
        $fetes[4][8] = "Jenaro";
        $fetes[4][9] = "Demetrio";
        $fetes[4][10] = "Ezequiel";
        $fetes[4][11] = "Rocío";
        $fetes[4][12] = "Víctor";
        $fetes[4][13] = "Hermenegildo";
        $fetes[4][14] = "Tiburcio";
        $fetes[4][15] = "Anastasia";
        $fetes[4][16] = "Calixto";
        $fetes[4][17] = "Isidoro";
        $fetes[4][18] = "Apolonio";
        $fetes[4][19] = "Timón";
        $fetes[4][20] = "Antonino";
        $fetes[4][21] = "Anselmo";
        $fetes[4][22] = "Lucio";
        $fetes[4][23] = "Jorge";
        $fetes[4][24] = "Fidel";
        $fetes[4][25] = "Marcos";
        $fetes[4][26] = "Engracia";
        $fetes[4][27] = "Monserrat";
        $fetes[4][28] = "Prudencio";
        $fetes[4][29] = "Catalina";
        $fetes[4][30] = "Pío";
        $fetes[5][1] = "Amador";
        $fetes[5][2] = "Araceli";
        $fetes[5][3] = "Alejandro";
        $fetes[5][4] = "Paulino";
        $fetes[5][5] = "Agustín";
        $fetes[5][6] = "Heliodoro";
        $fetes[5][7] = "Flavio";
        $fetes[5][8] = "Benedicto";
        $fetes[5][9] = "Pacomio";
        $fetes[5][10] = "Felix";
        $fetes[5][11] = "Florencio";
        $fetes[5][12] = "Nereo";
        $fetes[5][13] = "Fátima";
        $fetes[5][14] = "Matías";
        $fetes[5][15] = "Isidro";
        $fetes[5][16] = "Ascención";
        $fetes[5][17] = "Pascual";
        $fetes[5][18] = "Gema";
        $fetes[5][19] = "Ivo";
        $fetes[5][20] = "Bernardino";
        $fetes[5][21] = "Secundino";
        $fetes[5][22] = "Rita";
        $fetes[5][23] = "Desiderio";
        $fetes[5][24] = "Susana";
        $fetes[5][25] = "Ester";
        $fetes[5][26] = "Felipe";
        $fetes[5][27] = "Julio";
        $fetes[5][28] = "Germán";
        $fetes[5][29] = "Justo";
        $fetes[5][30] = "Juana";
        $fetes[5][31] = "Visitación";
        $fetes[6][1] = "Laura";
        $fetes[6][2] = "Amelia";
        $fetes[6][3] = "Claudio";
        $fetes[6][4] = "Nicanor";
        $fetes[6][5] = "Bonifacio";
        $fetes[6][6] = "Norberto";
        $fetes[6][7] = "Roberto";
        $fetes[6][8] = "Guillermo";
        $fetes[6][9] = "Efrén";
        $fetes[6][10] = "Rosa";
        $fetes[6][11] = "Bernabé";
        $fetes[6][12] = "Magín";
        $fetes[6][13] = "Peregrino";
        $fetes[6][14] = "Eliseo";
        $fetes[6][15] = "Óscar";
        $fetes[6][16] = "Iván";
        $fetes[6][17] = "Serena";
        $fetes[6][18] = "Ismael";
        $fetes[6][19] = "Melisa";
        $fetes[6][20] = "Eugenia";
        $fetes[6][21] = "Luis";
        $fetes[6][22] = "Angel";
        $fetes[6][23] = "Feli";
        $fetes[6][24] = "Juan";
        $fetes[6][25] = "Eva";
        $fetes[6][26] = "Cristina";
        $fetes[6][27] = "Socorro";
        $fetes[6][28] = "Alicia";
        $fetes[6][29] = "Pedro";
        $fetes[6][30] = "Pablo";
        $fetes[7][1] = "María";
        $fetes[7][2] = "Humberto";
        $fetes[7][3] = "Carlota";
        $fetes[7][4] = "Anabel";
        $fetes[7][5] = "Begoña";
        $fetes[7][6] = "Isaias";
        $fetes[7][7] = "Fermin";
        $fetes[7][8] = "Edgar";
        $fetes[7][9] = "Gerardo";
        $fetes[7][10] = "Cristobal";
        $fetes[7][11] = "Nuria";
        $fetes[7][12] = "Sofía";
        $fetes[7][13] = "Sara";
        $fetes[7][14] = "Camilo";
        $fetes[7][15] = "Buena ventura";
        $fetes[7][16] = "Carmen";
        $fetes[7][17] = "Raquel";
        $fetes[7][18] = "Federico";
        $fetes[7][19] = "Gerardo";
        $fetes[7][20] = "Irene";
        $fetes[7][21] = "Lara";
        $fetes[7][22] = "Oliverio";
        $fetes[7][23] = "Aroa";
        $fetes[7][24] = "Alba";
        $fetes[7][25] = "Santiago";
        $fetes[7][26] = "Ana";
        $fetes[7][27] = "Alberto";
        $fetes[7][28] = "Mayote";
        $fetes[7][29] = "Desiré";
        $fetes[7][30] = "Alvaro";
        $fetes[7][31] = "Ignacio";
        $fetes[8][1] = "Alfonso";
        $fetes[8][2] = "Eusebio";
        $fetes[8][3] = "Lydia";
        $fetes[8][4] = "Rubén";
        $fetes[8][5] = "Osvaldo";
        $fetes[8][6] = "Abel";
        $fetes[8][7] = "Nadia";
        $fetes[8][8] = "Domingo";
        $fetes[8][9] = "Justo";
        $fetes[8][10] = "Lorenzo";
        $fetes[8][11] = "Clara";
        $fetes[8][12] = "Laura";
        $fetes[8][13] = "Víctor";
        $fetes[8][14] = "Alfredo";
        $fetes[8][15] = "María";
        $fetes[8][16] = "Esteban";
        $fetes[8][17] = "Jacinto";
        $fetes[8][18] = "Elena";
        $fetes[8][19] = "Mariano";
        $fetes[8][20] = "Bernardo";
        $fetes[8][21] = "Graciela";
        $fetes[8][22] = "Filiberto";
        $fetes[8][23] = "Bernardo";
        $fetes[8][24] = "Bartolomé";
        $fetes[8][25] = "Bernardo";
        $fetes[8][26] = "César";
        $fetes[8][27] = "Mónica";
        $fetes[8][28] = "Agustín";
        $fetes[8][29] = "Sabina";
        $fetes[8][30] = "Rosa";
        $fetes[8][31] = "Ramón";
        $fetes[9][1] = "Arturo";
        $fetes[9][2] = "Moisés";
        $fetes[9][3] = "Gregorio";
        $fetes[9][4] = "Irma";
        $fetes[9][5] = "Victorino";
        $fetes[9][6] = "Eva";
        $fetes[9][7] = "Angeles";
        $fetes[9][8] = "Adriana";
        $fetes[9][9] = "Adrian";
        $fetes[9][10] = "Rosalia";
        $fetes[9][11] = "Eugenia";
        $fetes[9][12] = "Leoncio";
        $fetes[9][13] = "Crisótomo";
        $fetes[9][14] = "Cruz";
        $fetes[9][15] = "Dolores";
        $fetes[9][16] = "Cornelio";
        $fetes[9][17] = "Adriadna";
        $fetes[9][18] = "Sofia";
        $fetes[9][19] = "Jenaro";
        $fetes[9][20] = "Amelia";
        $fetes[9][21] = "Mateo";
        $fetes[9][22] = "Jonás";
        $fetes[9][23] = "Victoria";
        $fetes[9][24] = "Mercedes";
        $fetes[9][25] = "Eugenio";
        $fetes[9][26] = "Cosme";
        $fetes[9][27] = "Vicente";
        $fetes[9][28] = "Lorenzo";
        $fetes[9][29] = "Gabriel";
        $fetes[9][30] = "Gregorio";
        $fetes[10][1] = "Remigio";
        $fetes[10][2] = "Ángel";
        $fetes[10][3] = "Gerardo";
        $fetes[10][4] = "Francisco de Asís";
        $fetes[10][5] = "Flora";
        $fetes[10][6] = "Bruno";
        $fetes[10][7] = "Rosario";
        $fetes[10][8] = "Brígida";
        $fetes[10][9] = "Dionisio";
        $fetes[10][10] = "Francisco";
        $fetes[10][11] = "Soledad";
        $fetes[10][12] = "Pilar";
        $fetes[10][13] = "Eduardo";
        $fetes[10][14] = "Calixto";
        $fetes[10][15] = "Teresa";
        $fetes[10][16] = "Florentino";
        $fetes[10][17] = "Mariano";
        $fetes[10][18] = "Lucas";
        $fetes[10][19] = "Laura";
        $fetes[10][20] = "Irene";
        $fetes[10][21] = "Heliodoro";
        $fetes[10][22] = "Evaristo";
        $fetes[10][23] = "Germán";
        $fetes[10][24] = "Fortunato";
        $fetes[10][25] = "Florencio";
        $fetes[10][26] = "Evaristo";
        $fetes[10][27] = "Gustavo";
        $fetes[10][28] = "Cirilo";
        $fetes[10][29] = "Saturnino";
        $fetes[10][30] = "Andrés";
        $fetes[10][31] = "Alonso";
        $fetes[11][1] = "Santos";
        $fetes[11][2] = "Tobías";
        $fetes[11][3] = "Silvia";
        $fetes[11][4] = "Carlos";
        $fetes[11][5] = "Isabel";
        $fetes[11][6] = "Leonardo";
        $fetes[11][7] = "Ernesto";
        $fetes[11][8] = "Deodato";
        $fetes[11][9] = "Severiano";
        $fetes[11][10] = "Modesto";
        $fetes[11][11] = "Martín";
        $fetes[11][12] = "Aurelio";
        $fetes[11][13] = "Leandro";
        $fetes[11][14] = "Serapión";
        $fetes[11][15] = "Eugenio";
        $fetes[11][16] = "Margarita";
        $fetes[11][17] = "Dionisio";
        $fetes[11][18] = "Román";
        $fetes[11][19] = "Crispín";
        $fetes[11][20] = "Gregorio";
        $fetes[11][21] = "Celso";
        $fetes[11][22] = "Cecilia";
        $fetes[11][23] = "Clemente";
        $fetes[11][24] = "Flora";
        $fetes[11][25] = "Erasmo";
        $fetes[11][26] = "Milagros";
        $fetes[11][27] = "Virgilio";
        $fetes[11][28] = "Honesto";
        $fetes[11][29] = "Saturnino";
        $fetes[11][30] = "Andrés";
        $fetes[12][1] = "Eloy";
        $fetes[12][2] = "Eusebio";
        $fetes[12][3] = "Javier";
        $fetes[12][4] = "Bernardo";
        $fetes[12][5] = "Dalmacio";
        $fetes[12][6] = "Emiliano";
        $fetes[12][7] = "Ambrosio";
        $fetes[12][8] = "Inmaculada";
        $fetes[12][9] = "Leocadia";
        $fetes[12][10] = "Loreto";
        $fetes[12][11] = "Daniel";
        $fetes[12][12] = "Guadalupe";
        $fetes[12][13] = "Lucía";
        $fetes[12][14] = "Nicasio";
        $fetes[12][15] = "Fortunato";
        $fetes[12][16] = "Adelaida";
        $fetes[12][17] = "Yolanda";
        $fetes[12][18] = "Esperanza";
        $fetes[12][19] = "Darío";
        $fetes[12][20] = "Domingo";
        $fetes[12][21] = "Tomás";
        $fetes[12][22] = "Honorato";
        $fetes[12][23] = "Victoria";
        $fetes[12][24] = "Belén";
        $fetes[12][25] = "Natividad";
        $fetes[12][26] = "Esteban";
        $fetes[12][27] = "Fabiola";
        $fetes[12][28] = "Cástor";
        $fetes[12][29] = "David";
        $fetes[12][30] = "Paz";
        $fetes[12][31] = "Silvestre";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }

    public function todayDe($mois=null, $jour=null){
        $fetes = array();
        $fetes[1][1] = "Manuela";
        $fetes[1][2] = "Gregor";
        $fetes[1][3] = "Irmina";
        $fetes[1][4] = "Angelika";
        $fetes[1][5] = "Eduard";
        $fetes[1][6] = "Raphaela";
        $fetes[1][7] = "Valentin";
        $fetes[1][8] = "Severin";
        $fetes[1][9] = "Alexia";
        $fetes[1][10] = "Gregor";
        $fetes[1][11] = "Werner";
        $fetes[1][12] = "Tanja";
        $fetes[1][13] = "Gottfried";
        $fetes[1][14] = "Felix";
        $fetes[1][15] = "Maurus";
        $fetes[1][16] = "Marcel";
        $fetes[1][17] = "Antonius";
        $fetes[1][18] = "Regina";
        $fetes[1][19] = "Marius";
        $fetes[1][20] = "Fabian";
        $fetes[1][21] = "Agnes";
        $fetes[1][22] = "Walter";
        $fetes[1][23] = "Heinrich";
        $fetes[1][24] = "Franz";
        $fetes[1][25] = "Timotheus";
        $fetes[1][26] = "Alberich";
        $fetes[1][27] = "Angela";
        $fetes[1][28] = "Thomas";
        $fetes[1][29] = "Valerius";
        $fetes[1][30] = "Martina";
        $fetes[1][31] = "Johannes";
        $fetes[2][1] = "Siegbert";
        $fetes[2][2] = "Dieter";
        $fetes[2][3] = "Oskar";
        $fetes[2][4] = "Rhabanus";
        $fetes[2][5] = "Agatha";
        $fetes[2][6] = "Gaston";
        $fetes[2][7] = "Moses";
        $fetes[2][8] = "Hieronymus";
        $fetes[2][9] = "Apollonia";
        $fetes[2][10] = "Scholastika";
        $fetes[2][11] = "Theodor";
        $fetes[2][12] = "Gregor";
        $fetes[2][13] = "Reinhild";
        $fetes[2][14] = "Josefa";
        $fetes[2][15] = "Sigfrid";
        $fetes[2][16] = "Juliana";
        $fetes[2][17] = "Silvinus";
        $fetes[2][18] = "Constanze";
        $fetes[2][19] = "Irmgard";
        $fetes[2][20] = "Falko";
        $fetes[2][21] = "Petrus";
        $fetes[2][22] = "Isabella";
        $fetes[2][23] = "Polykarp";
        $fetes[2][24] = "Edelbert";
        $fetes[2][25] = "Walburga";
        $fetes[2][26] = "Gerlinde";
        $fetes[2][27] = "Emmanuel";
        $fetes[2][28] = "Roman";
        $fetes[2][29] = "Antonia";
        $fetes[3][1] = "Oswald";
        $fetes[3][2] = "Karl";
        $fetes[3][3] = "Camilla";
        $fetes[3][4] = "Kasimir";
        $fetes[3][5] = "Oliva";
        $fetes[3][6] = "Mechthild";
        $fetes[3][7] = "Reinhard";
        $fetes[3][8] = "Johannes";
        $fetes[3][9] = "Bruno";
        $fetes[3][10] = "Candidus";
        $fetes[3][11] = "Rosamunde";
        $fetes[3][12] = "Beatrix";
        $fetes[3][13] = "Leander";
        $fetes[3][14] = "Mathilde";
        $fetes[3][15] = "Lukretia";
        $fetes[3][16] = "Heribert";
        $fetes[3][17] = "Patrick";
        $fetes[3][18] = "Cyrill";
        $fetes[3][19] = "Joseph";
        $fetes[3][20] = "Wolfram";
        $fetes[3][21] = "Benedikt";
        $fetes[3][22] = "Lea";
        $fetes[3][23] = "Eberhard";
        $fetes[3][24] = "Katharina";
        $fetes[3][25] = "Annunziata";
        $fetes[3][26] = "Ludger";
        $fetes[3][27] = "Frowin";
        $fetes[3][28] = "Guntram";
        $fetes[3][29] = "Berthold";
        $fetes[3][30] = "Amadeus";
        $fetes[3][31] = "Cornelia";
        $fetes[4][1] = "Irene";
        $fetes[4][2] = "Franz";
        $fetes[4][3] = "Richard";
        $fetes[4][4] = "Isidor";
        $fetes[4][5] = "Vinzenz";
        $fetes[4][6] = "Andrea";
        $fetes[4][7] = "Johann Baptist";
        $fetes[4][8] = "Walter";
        $fetes[4][9] = "Waltraud";
        $fetes[4][10] = "Hulda";
        $fetes[4][11] = "Stanislaus";
        $fetes[4][12] = "Zeno";
        $fetes[4][13] = "Martin";
        $fetes[4][14] = "Lazarus";
        $fetes[4][15] = "Waltmann";
        $fetes[4][16] = "Gerwin";
        $fetes[4][17] = "Isidora";
        $fetes[4][18] = "Wiggo";
        $fetes[4][19] = "Leo";
        $fetes[4][20] = "Wilhelm";
        $fetes[4][21] = "Iphigenie";
        $fetes[4][22] = "Wolfhelm";
        $fetes[4][23] = "Jörg";
        $fetes[4][24] = "Fidelis";
        $fetes[4][25] = "Franca";
        $fetes[4][26] = "Kletus";
        $fetes[4][27] = "Petrus";
        $fetes[4][28] = "Hugo";
        $fetes[4][29] = "Robert";
        $fetes[4][30] = "Pius";
        $fetes[5][1] = "Jeremias";
        $fetes[5][2] = "Athanasius";
        $fetes[5][3] = "Viola";
        $fetes[5][4] = "Florian";
        $fetes[5][5] = "Gotthard";
        $fetes[5][6] = "Antonia";
        $fetes[5][7] = "Silke";
        $fetes[5][8] = "Rachel";
        $fetes[5][9] = "Beatus";
        $fetes[5][10] = "Solange";
        $fetes[5][11] = "Gangolf";
        $fetes[5][12] = "Pankratius";
        $fetes[5][13] = "Servatius";
        $fetes[5][14] = "Iso";
        $fetes[5][15] = "Sonja";
        $fetes[5][16] = "Johannes";
        $fetes[5][17] = "Paschalis";
        $fetes[5][18] = "Dietmar";
        $fetes[5][19] = "Alkuin";
        $fetes[5][20] = "Elfriede";
        $fetes[5][21] = "Hermann Joseph";
        $fetes[5][22] = "Julia";
        $fetes[5][23] = "Wibert";
        $fetes[5][24] = "Esther";
        $fetes[5][25] = "Beda";
        $fetes[5][26] = "Alwin";
        $fetes[5][27] = "Brun";
        $fetes[5][28] = "Germanus";
        $fetes[5][29] = "Erwin";
        $fetes[5][30] = "Ferdinand";
        $fetes[5][31] = "Petronilla";
        $fetes[6][1] = "Hortensia";
        $fetes[6][2] = "Marzellinus";
        $fetes[6][3] = "Chlothilde";
        $fetes[6][4] = "Christa";
        $fetes[6][5] = "Reginald";
        $fetes[6][6] = "Claudius";
        $fetes[6][7] = "Gottschalk";
        $fetes[6][8] = "Medard";
        $fetes[6][9] = "Ephräm";
        $fetes[6][10] = "Diana";
        $fetes[6][11] = "Barnabas";
        $fetes[6][12] = "Leo";
        $fetes[6][13] = "Anton";
        $fetes[6][14] = "Meinrad";
        $fetes[6][15] = "Vitus";
        $fetes[6][16] = "Aurelian";
        $fetes[6][17] = "Rainer";
        $fetes[6][18] = "Euphemia";
        $fetes[6][19] = "Romuald";
        $fetes[6][20] = "Adalbert";
        $fetes[6][21] = "Ralf";
        $fetes[6][22] = "Thomas";
        $fetes[6][23] = "Edeltraud";
        $fetes[6][24] = "Jens";
        $fetes[6][25] = "Eleonore";
        $fetes[6][26] = "Vigilius";
        $fetes[6][27] = "Cyrill";
        $fetes[6][28] = "Irenäus";
        $fetes[6][29] = "Petra";
        $fetes[6][30] = "Otto";
        $fetes[7][1] = "Dietrich";
        $fetes[7][2] = "Wiltrud";
        $fetes[7][3] = "Thomas";
        $fetes[7][4] = "Ulrike";
        $fetes[7][5] = "Anton Maria";
        $fetes[7][6] = "Isias";
        $fetes[7][7] = "Willibald";
        $fetes[7][8] = "Theobald";
        $fetes[7][9] = "Johannes";
        $fetes[7][10] = "Erich";
        $fetes[7][11] = "Sigisbert";
        $fetes[7][12] = "Felix";
        $fetes[7][13] = "Arno";
        $fetes[7][14] = "Bruno";
        $fetes[7][15] = "Egon";
        $fetes[7][16] = "Carmen";
        $fetes[7][17] = "Marina";
        $fetes[7][18] = "Arnulf";
        $fetes[7][19] = "Rufina";
        $fetes[7][20] = "Margit";
        $fetes[7][21] = "Arbogast";
        $fetes[7][22] = "Marlene";
        $fetes[7][23] = "Birgitta";
        $fetes[7][24] = "Kerstin";
        $fetes[7][25] = "Jacqueline";
        $fetes[7][26] = "Antje";
        $fetes[7][27] = "Bertold";
        $fetes[7][28] = "Ada";
        $fetes[7][29] = "Olaf";
        $fetes[7][30] = "Ingeborg";
        $fetes[7][31] = "Ignatius";
        $fetes[8][1] = "Alfons";
        $fetes[8][2] = "Eusebius";
        $fetes[8][3] = "Nikodemus";
        $fetes[8][4] = "Johannes";
        $fetes[8][5] = "Dominika";
        $fetes[8][6] = "Gilbert";
        $fetes[8][7] = "Kajetan";
        $fetes[8][8] = "Altmann";
        $fetes[8][9] = "Edith";
        $fetes[8][10] = "Astrid";
        $fetes[8][11] = "Klara";
        $fetes[8][12] = "Radegund";
        $fetes[8][13] = "Hippolyt";
        $fetes[8][14] = "Athanasia";
        $fetes[8][15] = "Mechthild";
        $fetes[8][16] = "Rochus";
        $fetes[8][17] = "Benedikta";
        $fetes[8][18] = "Reinald";
        $fetes[8][19] = "Sebald";
        $fetes[8][20] = "Ronald";
        $fetes[8][21] = "Pius";
        $fetes[8][22] = "Lätizia";
        $fetes[8][23] = "Rosa";
        $fetes[8][24] = "Michaela";
        $fetes[8][25] = "Ludwig";
        $fetes[8][26] = "Miriam";
        $fetes[8][27] = "Cäsar";
        $fetes[8][28] = "Augustinus";
        $fetes[8][29] = "Sabina";
        $fetes[8][30] = "Heribert";
        $fetes[8][31] = "Raimund";
        $fetes[9][1] = "Noemi";
        $fetes[9][2] = "Ingrid";
        $fetes[9][3] = "Degenhard";
        $fetes[9][4] = "Hermine";
        $fetes[9][5] = "Roswitha";
        $fetes[9][6] = "Magnus";
        $fetes[9][7] = "Dieter";
        $fetes[9][8] = "Hadrian";
        $fetes[9][9] = "Otmar";
        $fetes[9][10] = "Nikolaus";
        $fetes[9][11] = "Maternus";
        $fetes[9][12] = "Rebekka";
        $fetes[9][13] = "Johannes";
        $fetes[9][14] = "Dolores";
        $fetes[9][15] = "Melitta";
        $fetes[9][16] = "Cornelius";
        $fetes[9][17] = "Robert";
        $fetes[9][18] = "Richardis";
        $fetes[9][19] = "Wilhelmine";
        $fetes[9][20] = "Eustachius";
        $fetes[9][21] = "Matthäus";
        $fetes[9][22] = "Moritz";
        $fetes[9][23] = "Linus";
        $fetes[9][24] = "Mercedes";
        $fetes[9][25] = "Nikolaus";
        $fetes[9][26] = "Kosmas";
        $fetes[9][27] = "Thilo";
        $fetes[9][28] = "Wenzel";
        $fetes[9][29] = "Gabriele";
        $fetes[9][30] = "Hieronymus";
        $fetes[10][1] = "Ludwin";
        $fetes[10][2] = "Jakob";
        $fetes[10][3] = "Ewald";
        $fetes[10][4] = "Franz";
        $fetes[10][5] = "Flavia";
        $fetes[10][6] = "René";
        $fetes[10][7] = "Gerold";
        $fetes[10][8] = "Simeon";
        $fetes[10][9] = "Dionysius";
        $fetes[10][10] = "Gereon";
        $fetes[10][11] = "Bruno";
        $fetes[10][12] = "Maximilian";
        $fetes[10][13] = "Theophil";
        $fetes[10][14] = "Kalixtus";
        $fetes[10][15] = "Teresa";
        $fetes[10][16] = "Gallus";
        $fetes[10][17] = "Ignatius";
        $fetes[10][18] = "Lukas";
        $fetes[10][19] = "Isaak";
        $fetes[10][20] = "Wendelin";
        $fetes[10][21] = "Clementine";
        $fetes[10][22] = "Cordula";
        $fetes[10][23] = "Jakobus";
        $fetes[10][24] = "Antonius";
        $fetes[10][25] = "Crispin";
        $fetes[10][26] = "Armand";
        $fetes[10][27] = "Wolfhard";
        $fetes[10][28] = "Simon";
        $fetes[10][29] = "Berengar";
        $fetes[10][30] = "Dietger";
        $fetes[10][31] = "Wolfgang";
        $fetes[11][1] = "Sigurd";
        $fetes[11][2] = "Angela";
        $fetes[11][3] = "Pirmin";
        $fetes[11][4] = "Karl";
        $fetes[11][5] = "Emmerich";
        $fetes[11][6] = "Leonhard";
        $fetes[11][7] = "Willibrord";
        $fetes[11][8] = "Gottfried";
        $fetes[11][9] = "Aurel";
        $fetes[11][10] = "Leo";
        $fetes[11][11] = "Martin";
        $fetes[11][12] = "Kunibert";
        $fetes[11][13] = "Diego";
        $fetes[11][14] = "Alberich";
        $fetes[11][15] = "Leopold";
        $fetes[11][16] = "Margareta";
        $fetes[11][17] = "Gertrud";
        $fetes[11][18] = "Odo";
        $fetes[11][19] = "Bettina";
        $fetes[11][20] = "Korbinian";
        $fetes[11][21] = "Johannes";
        $fetes[11][22] = "Cäcilia";
        $fetes[11][23] = "Klemens";
        $fetes[11][24] = "Modest";
        $fetes[11][25] = "Katharina";
        $fetes[11][26] = "Konrad";
        $fetes[11][27] = "Oda";
        $fetes[11][28] = "Berta";
        $fetes[11][29] = "Jolanda";
        $fetes[11][30] = "Andreas";
        $fetes[12][1] = "Bianca";
        $fetes[12][2] = "Lucius";
        $fetes[12][3] = "Franz";
        $fetes[12][4] = "Johannes";
        $fetes[12][5] = "Anno";
        $fetes[12][6] = "Nicole";
        $fetes[12][7] = "Ambrosius";
        $fetes[12][8] = "Immakulata";
        $fetes[12][9] = "Edith";
        $fetes[12][10] = "Eulalia";
        $fetes[12][11] = "Damasus";
        $fetes[12][12] = "Johanna";
        $fetes[12][13] = "Odilia";
        $fetes[12][14] = "Johannes";
        $fetes[12][15] = "Nina";
        $fetes[12][16] = "Ado";
        $fetes[12][17] = "Jolanda";
        $fetes[12][18] = "Philipp";
        $fetes[12][19] = "Petrus";
        $fetes[12][20] = "Regina";
        $fetes[12][21] = "Peter";
        $fetes[12][22] = "Jutta";
        $fetes[12][23] = "Yvonne";
        $fetes[12][24] = "Adele";
        $fetes[12][25] = "Natal";
        $fetes[12][26] = "Stephanie";
        $fetes[12][27] = "Johannes";
        $fetes[12][28] = "Julia";
        $fetes[12][29] = "Thomas";
        $fetes[12][30] = "Germar";
        $fetes[12][31] = "Silvester";

        if(is_null($mois) || is_null($jour)){
            $date = date("d/m");
            list($jour,$mois) = explode("/",$date);
        }
        if(!isset($fetes[intval($mois)][intval($jour)])){
            return false;
        }

        return $fetes[intval($mois)][intval($jour)];
    }


}